# Generated by Django 2.2.16 on 2020-12-28 16:42

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import re


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('shuup', '0079_longer_log_entry_fields'),
    ]

    operations = [
        migrations.CreateModel(
            name='CanvasSupplierExtra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brand_statement', models.CharField(help_text='Please provide 3-5 sentences about your brand and mission.', max_length=1000)),
                ('sustainability_goals', models.CharField(max_length=50, validators=[django.core.validators.RegexValidator(re.compile('^\\d+(?:\\,\\d+)*\\Z'), code='invalid', message='Enter only digits separated by commas.')], verbose_name="Which United Nations' Sustainable Development Goals does your brand address?")),
                ('sustainability_goals_description', models.CharField(max_length=1000, verbose_name='Please outline in detail how you address the goals selected')),
                ('other_sustainability_initiatives', models.CharField(max_length=1000, verbose_name='Do you have any other sustainability initiatives you would like us to know about?')),
                ('social_media_handles', models.CharField(max_length=300)),
                ('website', models.URLField(verbose_name='Website URL')),
                ('referrer', models.CharField(blank=True, help_text='If a member of our team invited you to apply, please put their name.', max_length=200, verbose_name='How did you hear about The Canvas?')),
                ('supplier', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='canvas_supplier', to='shuup.Supplier')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
